<ion-header>
  <ion-toolbar>
   <ion-item style="font-size: 2em; font-weight: 800;">
     <ion-label>
       Activity
       <p style="font-weight: 400;" color="tertiary">{{ today | date:'fullDate' }}</p>
     </ion-label>
   </ion-item>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card >
    <ion-item>
      <ion-textarea [(ngModel)]="taskName" placeholder="Write your task here" required></ion-textarea>
    </ion-item>

    <ion-item>
      <ion-label>Priority</ion-label>
      <ion-select [(ngModel)]="taskPriority" required>
        <ion-select-option value="Low">Low</ion-select-option>
        <ion-select-option value="Moderate">Moderate</ion-select-option>
        <ion-select-option value="High">High</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-icon name="calendar-outline" slot="start" ></ion-icon>
      <ion-label>Due Date</ion-label>
      <ion-datetime [(ngModel)]="taskDate" displayFormat="D MMM YYY H:mm" required></ion-datetime>
    </ion-item>


    <ion-item >
      <ion-icon name="pricetag" slot="start" required></ion-icon>
      <ion-label>Category</ion-label>
      <span >{{taskCategory}}</span>
    </ion-item>

    <ion-item>
      <ion-chip  required *ngFor="let item of category; let i = index"  (click)="selectCategory(i)">
        <ion-label>{{ item }}</ion-label>
      </ion-chip>
    </ion-item>
    <ion-button color="tertiary" class="ion-margin" expand="block" (click)="addTasks()">Add Task</ion-button>

  </ion-card>

  <!--  -->
  <ion-card *ngFor="let item of todoList" class="ion-margin">
    <ion-card-header>
      <ion-card-subtitle [style.color]="item.itemPriority === 'High' ? 'red': (item.itemPriority === 'Low' ? 'green' : 'orange')">
        {{item.itemCategory}}
      </ion-card-subtitle>
      <ion-item>
        <ion-icon *ngIf="item.itemPriority === 'High'" style="color: #bb2124;" size="small" name="ellipse"></ion-icon>
        <ion-icon *ngIf="item.itemPriority === 'Low'" style="color: #22bb33" size="small" name="ellipse"></ion-icon>
        <ion-icon *ngIf="item.itemPriority === 'Moderate'" style="color: #f0ad4e;" size="small" name="ellipse"></ion-icon>
        <ion-label>{{ item.itemName }}</ion-label>
      </ion-item>
    </ion-card-header>
    <ion-card-content>
      <ion-label> Due: {{ item.itemDueDate | date:'fullDate' }}</ion-label>
    </ion-card-content>
    <ion-row>
      <ion-item (click)="delete()">
        <ion-icon name="checkmark-outline"></ion-icon>
        <p>Complete</p>
      </ion-item>
      <ion-item button  (click)="delete()">
        <ion-icon name="trash-outline"></ion-icon>
        <p>Delete</p>
      </ion-item>
    </ion-row>

  </ion-card>
</ion-content>
